# Uses of Enum Class org.bukkit.entity.ArmorStand.LockType (Scissors-API 1.19-R0.1-SNAPSHOT API)
use: package: org.bukkit.entity, interface: ArmorStand, enum: LockType

# Uses of Enum Class
org.bukkit.entity.ArmorStand.LockType

Packages that use ArmorStand.LockType
Package
Description
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.

## Uses of ArmorStand.LockType in org.bukkit.entity

Methods in org.bukkit.entity that return ArmorStand.LockType
Modifier and Type
Method
Description
`static ArmorStand.LockType`
ArmorStand.LockType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ArmorStand.LockType[]`
ArmorStand.LockType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit.entity with parameters of type ArmorStand.LockType
Modifier and Type
Method
Description
`void`
ArmorStand.`addEquipmentLock(@NotNull EquipmentSlot slot, @NotNull ArmorStand.LockType lockType)`
Locks the equipment slot with the specified `locking mechanism`.
`boolean`
ArmorStand.`hasEquipmentLock(@NotNull EquipmentSlot slot, @NotNull ArmorStand.LockType lockType)`
Returns if the ArmorStand has the specified `locking mechanism`.
`void`
ArmorStand.`removeEquipmentLock(@NotNull EquipmentSlot slot, @NotNull ArmorStand.LockType lockType)`
Remove a `locking mechanism`.